<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'superrobota',

    /*
     * Package.
     */
    'package'   => 'hardskill',

    /*
     * Modules.
     */
    'modules'   => ['craft', 
'sector', 
'position', 
'hardskill'],

    'craft'       => [
        'model' => [
            'model'                 => \Superrobota\Hardskill\Models\Craft::class,
            'table'                 => 'crafts',
            'presenter'             => \Superrobota\Hardskill\Repositories\Presenter\CraftPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name'],
            'translatables'         => [],
            'upload_folder'         => 'hardskill/craft',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Hardskill',
            'module'    => 'Craft',
        ],

    ],

    'sector'       => [
        'model' => [
            'model'                 => \Superrobota\Hardskill\Models\Sector::class,
            'table'                 => 'sectors',
            'presenter'             => \Superrobota\Hardskill\Repositories\Presenter\SectorPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name'],
            'translatables'         => [],
            'upload_folder'         => 'hardskill/sector',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Hardskill',
            'module'    => 'Sector',
        ],

    ],

    'position'       => [
        'model' => [
            'model'                 => \Superrobota\Hardskill\Models\Position::class,
            'table'                 => 'positions',
            'presenter'             => \Superrobota\Hardskill\Repositories\Presenter\PositionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name'],
            'translatables'         => [],
            'upload_folder'         => 'hardskill/position',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Hardskill',
            'module'    => 'Position',
        ],

    ],

    'hardskill'       => [
        'model' => [
            'model'                 => \Superrobota\Hardskill\Models\Hardskill::class,
            'table'                 => 'hardskills',
            'presenter'             => \Superrobota\Hardskill\Repositories\Presenter\HardskillPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name'],
            'translatables'         => [],
            'upload_folder'         => 'hardskill/hardskill',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Superrobota',
            'package'   => 'Hardskill',
            'module'    => 'Hardskill',
        ],

    ],
];
