<?php

namespace Superrobota\Hardskill\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Craft extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'superrobota.hardskill.craft.model';


    /**
     * The sectors that belong to the craft.
     */
    public function sectors(){
        return $this->hasMany('Hardskill\Craft\Models\Sector');
    }


    /**
     * The hardskills that belong to the craft.
     */
    public function hardskills(){
        return $this->hasMany('Hardskill\Craft\Models\Hardskill');
    }
}
