<?php

namespace Superrobota\Hardskill\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Hardskill extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'superrobota.hardskill.hardskill.model';


    /**
     * The positions that belong to the hardskill.
     */
    public function positions(){
        return $this->belongsToMany('Hardskill\Hardskill\Models\Position');
    }


    /**
     * The crafts that belong to the hardskill.
     */
    public function crafts(){
        return $this->belongsToMany('Hardskill\Hardskill\Models\Craft');
    }


    /**
     * The sectors that belong to the hardskill.
     */
    public function sectors(){
        return $this->belongsToMany('Hardskill\Hardskill\Models\Sector');
    }
}
