<?php

namespace Superrobota\Hardskill\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Craft policy
        'Superrobota\Hardskill\Models\Craft' => \Superrobota\Hardskill\Policies\CraftPolicy::class,
// Bind Sector policy
        'Superrobota\Hardskill\Models\Sector' => \Superrobota\Hardskill\Policies\SectorPolicy::class,
// Bind Position policy
        'Superrobota\Hardskill\Models\Position' => \Superrobota\Hardskill\Policies\PositionPolicy::class,
// Bind Hardskill policy
        'Superrobota\Hardskill\Models\Hardskill' => \Superrobota\Hardskill\Policies\HardskillPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
