<?php

namespace Superrobota\Hardskill\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CraftTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Hardskill\Models\Craft $craft)
    {
        return [
            'id'                => $craft->getRouteKey(),
            'key'               => [
                'public'    => $craft->getPublicKey(),
                'route'     => $craft->getRouteKey(),
            ], 
            'name'              => $craft->name,
            'url'               => [
                'public'    => trans_url('hardskill/'.$craft->getPublicKey()),
                'user'      => guard_url('hardskill/craft/'.$craft->getRouteKey()),
            ], 
            'status'            => trans('app.'.$craft->status),
            'created_at'        => format_date($craft->created_at),
            'updated_at'        => format_date($craft->updated_at),
        ];
    }
}