<?php

namespace Superrobota\Hardskill\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HardskillTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Hardskill\Models\Hardskill $hardskill)
    {
        return [
            'id'                => $hardskill->getRouteKey(),
            'key'               => [
                'public'    => $hardskill->getPublicKey(),
                'route'     => $hardskill->getRouteKey(),
            ], 
            'name'              => $hardskill->name,
            'url'               => [
                'public'    => trans_url('hardskill/'.$hardskill->getPublicKey()),
                'user'      => guard_url('hardskill/hardskill/'.$hardskill->getRouteKey()),
            ], 
            'status'            => trans('app.'.$hardskill->status),
            'created_at'        => format_date($hardskill->created_at),
            'updated_at'        => format_date($hardskill->updated_at),
        ];
    }
}