<?php

namespace Superrobota\Hardskill\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PositionTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Hardskill\Models\Position $position)
    {
        return [
            'id'                => $position->getRouteKey(),
            'key'               => [
                'public'    => $position->getPublicKey(),
                'route'     => $position->getRouteKey(),
            ], 
            'name'              => $position->name,
            'url'               => [
                'public'    => trans_url('hardskill/'.$position->getPublicKey()),
                'user'      => guard_url('hardskill/position/'.$position->getRouteKey()),
            ], 
            'status'            => trans('app.'.$position->status),
            'created_at'        => format_date($position->created_at),
            'updated_at'        => format_date($position->updated_at),
        ];
    }
}