<?php

namespace Superrobota\Hardskill\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SectorTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Hardskill\Models\Sector $sector)
    {
        return [
            'id'                => $sector->getRouteKey(),
            'key'               => [
                'public'    => $sector->getPublicKey(),
                'route'     => $sector->getRouteKey(),
            ], 
            'name'              => $sector->name,
            'url'               => [
                'public'    => trans_url('hardskill/'.$sector->getPublicKey()),
                'user'      => guard_url('hardskill/sector/'.$sector->getRouteKey()),
            ], 
            'status'            => trans('app.'.$sector->status),
            'created_at'        => format_date($sector->created_at),
            'updated_at'        => format_date($sector->updated_at),
        ];
    }
}